サイン
GET https://0o0.online/api/signatures/
curl --request GET \
--url 'https://0o0.online/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション ストレッチ | 検索ストレッチ |
| search_by | オプション ストレッチ | どのフィールドを検索しているか? 許可された値は: name. |
| datetime_field | オプション ストレッチ | 許可された価値観: datetime, last_datetime |
| datetime_start | オプション ストレッチ | この日付から始まる結果をフィルタリングします。 Y-m-d H:i:s フォーマット |
| datetime_end | オプション ストレッチ | この日付までフィルター結果を表示します。 Y-m-d H:i:s フォーマット |
| order_by | オプション ストレッチ | どのフィールドで結果を注文するか? 許可された値は: signature_id, datetime, last_datetime, name. |
| order_type | オプション ストレッチ | 結果の注文:許可された値は以下の通り。 ASC 昇天の命令と、 DESC 降りる命令。 |
| page | オプション 総合 | あなたが望むページ番号から結果を得る。 1. |
| results_per_page | オプション 総合 | ページごとにどれだけの結果が欲しいか? 許可された値は以下の通りです。 10, 25, 50, 100, 250, 500, 1000. 欠陥は 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "John Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "John Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "johndoe",
"threads": "johndoe",
"x": "johndoe",
"instagram": "johndoe",
"youtube": "johndoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:18:40"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/signatures?page=1",
"last": "https://0o0.online/api/signatures?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/signatures?page=1"
}
}
GET https://0o0.online/api/signatures/{signature_id}
curl --request GET \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "Engineering",
"company": "Example Company",
"email": "[email protected]",
"website_name": "Example",
"website_url": "https:\/\/example.com\/",
"address": "123 Example Street",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"border_radius": 10,
"background_color": "#f9f9f9",
"border_color": "#e0e0e0",
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "janedoe",
"threads": "janedoe",
"x": "janedoe",
"instagram": "janedoe",
"youtube": "janedoe",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:18:40"
}
}
POST https://0o0.online/api/signatures
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 ストレッチ | 名前 |
| project_id | オプション 総合 | プロジェクトはあなたの資源をカテゴリ化するのに役立ちます。 |
| template | オプション ストレッチ | 許可された価値観: plain_text, mars, mercury, venus, nova |
| direction | オプション ストレッチ | 許可された価値観: ltr, rtl |
| is_removed_branding | オプション ボリューム | ブランドを削除する |
| image_url | オプション ストレッチ | 利用のみ JPG, JPEG, GIF, PNG イメージ |
| sign_off | オプション ストレッチ | サインアップ |
| full_name | オプション ストレッチ | 全名 |
| job_title | オプション ストレッチ | 仕事タイトル |
| department | オプション ストレッチ | 部門 |
| company | オプション ストレッチ | 会社 |
| オプション ストレッチ | メールアドレス | |
| website_name | オプション ストレッチ | サイト名 |
| website_url | オプション ストレッチ | WEB サイト URL |
| address | オプション ストレッチ | アドレス |
| address_url | オプション ストレッチ | リンク A Google 地図の位置など。 |
| phone_number | オプション ストレッチ | 電話番号 |
| オプション ストレッチ | ||
| facebook_messenger | オプション ストレッチ | Facebook メッセンジャーユーザー名 |
| telegram | オプション ストレッチ | Telegram ユーザー名 |
| disclaimer | オプション ストレッチ | 辞書文 |
| font_family | オプション ストレッチ | 許可された価値観: arial, verdana, helvetica, times_new_roman, georgia |
| font_size | オプション 総合 | 許可された価値観: 12-18 |
| width | オプション 総合 | 許可された価値観: 300-600 |
| image_width | オプション 総合 | 許可された価値観: 45-150 |
| image_border_radius | オプション 総合 | 許可された価値観: 0-100 |
| socials_width | オプション 総合 | 許可された価値観: 15-30 |
| socials_padding | オプション 総合 | 許可された価値観: 5-15 |
| separator_size | オプション 総合 | 許可された価値観: 0-5 |
| border_radius | オプション 総合 | 許可された価値観: 0-30 |
| background_color | オプション ストレッチ | 背景色 |
| border_color | オプション ストレッチ | 国境色 |
| theme_color | オプション ストレッチ | テーマ色 |
| full_name_color | オプション ストレッチ | 全名色 |
| text_color | オプション ストレッチ | テキスト色 |
| link_color | オプション ストレッチ | リンク色 |
| オプション ストレッチ | Facebook ユーザー名 | |
| threads | オプション ストレッチ | ユーザー名の脅威 |
| x | オプション ストレッチ | X ユーザー名 |
| オプション ストレッチ | Instagram ユーザー名 | |
| youtube | オプション ストレッチ | YouTube チャンネル |
| tiktok | オプション ストレッチ | TikTok ユーザー名 |
| spotify | オプション ストレッチ | Spotify ユーザー名 |
| オプション ストレッチ | Pinterest ユーザー名 | |
| オプション ストレッチ | LinkedIn ユーザー名 | |
| snapchat | オプション ストレッチ | Snapchat ユーザー名 |
| twitch | オプション ストレッチ | Twitch ユーザー名 |
| discord | オプション ストレッチ | Discord ユーザーID |
| github | オプション ストレッチ | GitHub ユーザー名 |
| オプション ストレッチ | Reddit ユーザー名 |
curl --request POST \
--url 'https://0o0.online/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
--url 'https://0o0.online/api/signatures' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe' \
--form 'template=nova' \
--form 'full_name=Jane Doe' \
--form 'job_title=Software Engineer' \
--form 'company=Example Company' \
--form 'email=[email protected]' \
--form 'background_color=#f8fafc' \
--form 'border_color=#cbd5e1' \
--form 'theme_color=#2563eb'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 10,
"background_color": "#f8fafc",
"border_color": "#cbd5e1",
"theme_color": "#2563eb",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-10-16 03:18:40"
}
}
POST https://0o0.online/api/signatures/{signature_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション ストレッチ | 名前 |
| project_id | オプション 総合 | プロジェクトはあなたの資源をカテゴリ化するのに役立ちます。 |
| template | オプション ストレッチ | 許可された価値観: plain_text, mars, mercury, venus, nova |
| direction | オプション ストレッチ | 許可された価値観: ltr, rtl |
| is_removed_branding | オプション ボリューム | ブランドを削除する |
| image_url | オプション ストレッチ | 利用のみ JPG, JPEG, GIF, PNG イメージ |
| sign_off | オプション ストレッチ | サインアップ |
| full_name | オプション ストレッチ | 全名 |
| job_title | オプション ストレッチ | 仕事タイトル |
| department | オプション ストレッチ | 部門 |
| company | オプション ストレッチ | 会社 |
| オプション ストレッチ | メールアドレス | |
| website_name | オプション ストレッチ | サイト名 |
| website_url | オプション ストレッチ | WEB サイト URL |
| address | オプション ストレッチ | アドレス |
| address_url | オプション ストレッチ | リンク A Google 地図の位置など。 |
| phone_number | オプション ストレッチ | 電話番号 |
| オプション ストレッチ | ||
| facebook_messenger | オプション ストレッチ | Facebook メッセンジャーユーザー名 |
| telegram | オプション ストレッチ | Telegram ユーザー名 |
| disclaimer | オプション ストレッチ | 辞書文 |
| font_family | オプション ストレッチ | 許可された価値観: arial, verdana, helvetica, times_new_roman, georgia |
| font_size | オプション 総合 | 許可された価値観: 12-18 |
| width | オプション 総合 | 許可された価値観: 300-600 |
| image_width | オプション 総合 | 許可された価値観: 45-150 |
| image_border_radius | オプション 総合 | 許可された価値観: 0-100 |
| socials_width | オプション 総合 | 許可された価値観: 15-30 |
| socials_padding | オプション 総合 | 許可された価値観: 5-15 |
| separator_size | オプション 総合 | 許可された価値観: 0-5 |
| border_radius | オプション 総合 | 許可された価値観: 0-30 |
| background_color | オプション ストレッチ | 背景色 |
| border_color | オプション ストレッチ | 国境色 |
| theme_color | オプション ストレッチ | テーマ色 |
| full_name_color | オプション ストレッチ | 全名色 |
| text_color | オプション ストレッチ | テキスト色 |
| link_color | オプション ストレッチ | リンク色 |
| オプション ストレッチ | Facebook ユーザー名 | |
| threads | オプション ストレッチ | ユーザー名の脅威 |
| x | オプション ストレッチ | X ユーザー名 |
| オプション ストレッチ | Instagram ユーザー名 | |
| youtube | オプション ストレッチ | YouTube チャンネル |
| tiktok | オプション ストレッチ | TikTok ユーザー名 |
| spotify | オプション ストレッチ | Spotify ユーザー名 |
| オプション ストレッチ | Pinterest ユーザー名 | |
| オプション ストレッチ | LinkedIn ユーザー名 | |
| snapchat | オプション ストレッチ | Snapchat ユーザー名 |
| twitch | オプション ストレッチ | Twitch ユーザー名 |
| discord | オプション ストレッチ | Discord ユーザーID |
| github | オプション ストレッチ | GitHub ユーザー名 |
| オプション ストレッチ | Reddit ユーザー名 |
curl --request POST \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Jane Doe Signature' \
--form 'border_radius=16' \
--form 'background_color=#fff7ed' \
--form 'border_color=#fed7aa' \
--form 'theme_color=#c2410c'
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 0,
"name": "Jane Doe Signature",
"template": "nova",
"settings": {
"direction": "ltr",
"is_removed_branding": false,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "Software Engineer",
"department": "",
"company": "Example Company",
"email": "[email protected]",
"website_name": "",
"website_url": "",
"address": "",
"address_url": "",
"phone_number": "",
"whatsapp": null,
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"image_border_radius": 0,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 1,
"border_radius": 16,
"background_color": "#fff7ed",
"border_color": "#fed7aa",
"theme_color": "#c2410c",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "",
"threads": "",
"x": "",
"instagram": "",
"youtube": "",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": "2026-10-16 03:18:40",
"datetime": "2026-10-16 03:18:40"
}
}
DELETE https://0o0.online/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \